#include <stdio.h>
#include <conio.h>
#include <string>
#include "MediaInfo/MediaInfoDLL.h"

int main(int argc, char* argv[])
{
    //Affichage
    std::string AAfficher;

    void* Handle;
    std::string Fichier;

    printf("\r\n\r\nInfo_Version\r\n");
    AAfficher=MediaInfo_Info_Version();
    printf(AAfficher.c_str());

    printf("\r\n\r\nInfo_Parameters\r\n");
    AAfficher=MediaInfo_Info_Parameters(false);
    printf(AAfficher.c_str());

    printf("\r\n\r\nInfo_Capacities\r\n");
    AAfficher=MediaInfo_Info_Capacities();
    printf(AAfficher.c_str());

    printf("\r\n\r\nInfo_Codecs\r\n");
    AAfficher=MediaInfo_Info_Codecs();
    printf(AAfficher.c_str());

    printf("\r\n\r\nOpen\r\n");
    Handle=MediaInfo_Open("D:\\_.ogm");

    printf("\r\n\r\nInform with Complete=fals\r\n");
    MediaInfo_Complete_Set(false);
    AAfficher=MediaInfo_Inform(Handle);
    printf(AAfficher.c_str());

    printf("\r\n\r\nInform with Complete=true\r\n");
    MediaInfo_Complete_Set(true);
    AAfficher=MediaInfo_Inform(Handle);
    printf(AAfficher.c_str());

    printf("\r\n\r\nCustom Inform\r\n");
    MediaInfo_Inform_Set(Handle, "General;%FileSize%");
    AAfficher=MediaInfo_Inform(Handle);
    printf(AAfficher.c_str());

    printf("\r\n\r\nGetI with Stream=General and Parameter=13\r\n");
    AAfficher=MediaInfo_GetI(Handle, Stream_General, 0, 13, Info_Text);
    printf(AAfficher.c_str());

    printf("\r\n\r\nCount_Get with StreamKind=Stream_Audio\r\n");
    AAfficher=MediaInfo_Count_Get(Handle, Stream_Audio, -1)+48; //int --> char
    printf(AAfficher.c_str());

    printf("\r\n\r\nGet with Stream=General and Parameter=\"AudioCount\"\r\n");
    AAfficher=MediaInfo_Get(Handle, Stream_General, 0, "AudioCount", Info_Text, Info_Name);
    printf(AAfficher.c_str());

    printf("\r\n\r\nGet with Stream=Audio and Parameter=\"StreamCount\"\r\n");
    AAfficher=MediaInfo_Get(Handle, Stream_Audio, 0, "StreamCount", Info_Text, Info_Name);
    printf(AAfficher.c_str());

    printf("\r\n\r\nGet with Stream=General and Parameter=\"FileSize\"\r\n");
    AAfficher=MediaInfo_Get(Handle, Stream_General, 0, "FileSize", Info_Text, Info_Name);
    printf(AAfficher.c_str());

    printf("\r\n\r\nClose\r\n");
    MediaInfo_Close(Handle);

    getch();

    return 0;
}
//---------------------------------------------------------------------------

